Skip to main content
GET
/
list-tweets
/list-tweets Get tweets from a Twitter list
curl --request GET \
  --url https://api.sorsa.io/v2/list-tweets \
  --header 'ApiKey: <api-key>'
{
  "next_cursor": "<string>",
  "tweets": [
    {
      "bookmark_count": 123,
      "conversation_id_str": "<string>",
      "created_at": "<string>",
      "entities": [
        {
          "link": "<string>",
          "preview": "<string>",
          "type": "<string>"
        }
      ],
      "favorite_count": 123,
      "full_text": "<string>",
      "id_str": "<string>",
      "in_reply_to_status_id_str": "<string>",
      "is_quote_status": true,
      "quote_count": 123,
      "quoted_status": {
        "created_at": "<string>",
        "favorite_count": 123,
        "full_text": "<string>",
        "id_str": "<string>",
        "quote_count": 123,
        "retweet_count": 123,
        "user": {
          "avatar": "<string>",
          "can_dm": true,
          "created_at": "<string>",
          "description": "<string>",
          "followers_count": 123,
          "friends_count": 123,
          "id_str": "<string>",
          "name": "<string>",
          "screen_name": "<string>",
          "statuses_count": 123
        }
      },
      "reply_count": 123,
      "retweet_count": 123,
      "retweeted_status": {
        "created_at": "<string>",
        "favorite_count": 123,
        "full_text": "<string>",
        "id_str": "<string>",
        "quote_count": 123,
        "retweet_count": 123,
        "user": {
          "avatar": "<string>",
          "can_dm": true,
          "created_at": "<string>",
          "description": "<string>",
          "followers_count": 123,
          "friends_count": 123,
          "id_str": "<string>",
          "name": "<string>",
          "screen_name": "<string>",
          "statuses_count": 123
        }
      },
      "user": {
        "avatar": "<string>",
        "can_dm": true,
        "created_at": "<string>",
        "description": "<string>",
        "followers_count": 123,
        "friends_count": 123,
        "id_str": "<string>",
        "name": "<string>",
        "screen_name": "<string>",
        "statuses_count": 123
      },
      "view_count": 123
    }
  ]
}

Authorizations

ApiKey
string
header
required

Query Parameters

list_id
string
required

list_id required, cursor optional

cursor
string

list id required, cursor optional

Response

OK

next_cursor
string
tweets
object[]